
BuildRequires: erlang

Summary: Erlang consumer library for OpenID
Name: eopenid
Version: 0.1.0
License: GPL
Release: 1.444
Requires: erlang
Group: Languages/Security
Source: %{name}-%{version}.tar.gz
Patch0: ehtml-fix.patch
Patch1: registered.patch
Patch2: strip-parsers.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Authors
--------------------------
  Torbjorn Tornkvist <tobbe@myggan.(none)>

%debug_package
%prep
%setup -c
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make

%install
for i in ebin include
do
    mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{name}-%{version}/$i
    cp $i/* $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{name}-%{version}/$i
done

# Install documentation  
%clean
make clean

%files
%defattr(-,root,root)
%{_libdir}/erlang/lib/%{name}-%{version}

%changelog
